## packages 
library(rgl)
library(devtools)
library(readr)
library(dplyr)
library(broom)
library(tidyr)
library(stringr)


## need to change directory to run

Dailydata<-read_csv(file ='C:/Users/fmejia/Documents/PO 3D plots/Daily_PO.csv')

Dailydata

names(Dailydata) = make.names(names(Dailydata), unique=T) # since original column names have duplicates

Dailydata<-tbl_df(Dailydata) # convert to table data
Dailydata # now top 10 rows are shown along with data type of each variable. Variables that do not fit in console window are shown below.

glimpse(Dailydata) # view all columns

summary(Dailydata)

### changing character date into date
Dailydata <- mutate(Dailydata, Day = as.Date(Day, format = "%m/%d/%Y"))
Dailydata$d<-as.numeric(format(Dailydata$Day,"%d"))
Dailydata$day<-as.character.Date(format(Dailydata$Day))

### changing character CAT into factor
Dailydata <- mutate(Dailydata, CAT = as.factor(CAT))




##Plotting max differences three dimensions 

#Legend for the plot: 
#Differences 
#cyan= 0-2 degrees
#Blue= 2-4 degrees
#Red=  >4 degrees

#Day numbers 200= July 19 250=September 7
#Distance upstream rkm= 60 to 140

interleave <- function(v1,v2) as.vector(rbind(v1,v2))
plot3d(Dailydata$RKm, Dailydata$Jday, Dailydata$DifMax, xlab="Distance upstream (km)", ylab="Day", zlab="Temperature differences", size=0.75, yaxt = "n", col=Dailydata$CAT, type="s",  lit=FALSE  )


#close window so next graph can be plotted without old data overlay
##Plotting Maximum daily surface water temperature (Cyan) and minimum daily bottom water temperature (Purple)  three dimensions 
# run all three lines of code to see both surface and bottom data

interleave<-function(v1,v2) as.vector(rbind(v1,v2))
plot3d(Dailydata$RKm, Dailydata$Jday, Dailydata$STempMax, xlab="Distance upstream (km)", ylab="Day", zlab="Temperature", type="s", col="cyan", size=0.75, lit=FALSE, zlim= c(18,30))
plot3d(Dailydata$RKm, Dailydata$Jday, Dailydata$BTempMin, xlab="Distance upstream (km)", ylab="Day", zlab="Temperature", col="purple", type="s", size=0.75, lit=FALSE, zlim = c(18,30))



